org.eclipse.graphiti.ui.internal.parts

## Interface IDiagramEditPart

All Superinterfaces:
  IAnchorContainerEditPart, IConfigurationProviderHolder, IContainerShapeEditPart, IFeatureProviderHolder, IPictogramElementEditPart, IShapeEditPart

All Known Implementing Classes:
  DiagramEditPart

    public interface IDiagramEditPart
    extends IContainerShapeEditPart

The Interface IDiagramEditPart.

### Method Summary

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IShapeEditPart

`deleteChildAndRefresh`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IAnchorContainerEditPart

`refreshDecorators`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IPictogramElementEditPart

`getModelChildren, getModelSourceConnections, getModelTargetConnections, getPictogramElement, getPictogramElementDelegate`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.config.IConfigurationProviderHolder

`getConfigurationProvider`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`